node-lexical-scope_1.2.0+dfsg1-2_all.deb


Advertisement

Description

node-lexical-scope - detect global and local lexical identifiers in javascript

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-lexical-scope_1.2.0+dfsg1-2_all.deb
Package name node-lexical-scope
Package version 1.2.0+dfsg1
Package release 2
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/substack/lexical-scope
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.32 KB
Installed size 26.00 KB
This package detects whether  an indentifier is global scope
or lexical scope.
This a dependency of Browserify. Browserify is a JavaScript tool that allows
developers to write Node.js-style modules that compile for use in
the browser.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-lexical-scope_1.2.0+dfsg1-2_all.deb 1.2.0+dfsg1 all Ubuntu Universe
node-lexical-scope - - -

Requires

Name Value
node-astw >= 2.0.0
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-lexical-scope_1.2.0+dfsg1-2_all.deb
Source Package node-lexical-scope

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-lexical-scope deb package:
    # sudo apt-get install node-lexical-scope

Files

Path
/usr/lib/nodejs/lexical-scope/index.js
/usr/lib/nodejs/lexical-scope/package.json
/usr/share/doc/node-lexical-scope/changelog.Debian.gz
/usr/share/doc/node-lexical-scope/copyright
/usr/share/doc/node-lexical-scope/readme.markdown
/usr/share/doc/node-lexical-scope/examples/detect.js
/usr/share/doc/node-lexical-scope/examples/src.js

Changelog

2018-05-21 - Bastien Roucari├Ęs <rouca@debian.org>
node-lexical-scope (1.2.0+dfsg1-2) unstable; urgency=medium
* Bump policy and compat (no changes)
* Move to salsa
2017-11-30 - Bastien Roucari├Ęs <rouca@debian.org>
node-lexical-scope (1.2.0+dfsg1-1) unstable; urgency=low
* Initial release (Closes: #883195)

See Also

Package Description
node-libnpx_10.2.0+repack-2_all.deb support library for npx
node-libravatar_2.0.0-6_all.deb libravatar library for NodeJS
node-libs-browser_2.2.0-1_all.deb node core libs for in browser usage
node-lie_3.1.1+dfsg-1_all.deb basic but performant promise implementation
node-liftoff_2.3.0-3_all.deb command line tool launcher
node-lightgallery_1.6.11+dfsg-1_all.deb Modular lightbox gallery plugin for jQuery
node-load-grunt-tasks_3.5.2-1_all.deb Load multiple grunt tasks using globbing patterns
node-load-json-file_2.0.0-1_all.deb read and parse a JSON file
node-loader-runner_2.3.0-1_all.deb Runs (webpack) loaders
node-loader-utils_1.1.0-2_all.deb utils for webpack loaders
node-locate-character_2.0.1-3_all.deb Helper to find the line and column of a character in a string
node-locate-path_2.0.0-1_all.deb Get the first path that exists on disk of multiple paths
node-lockfile_1.0.4-1_all.deb Asynchronous file lock module for Node.js
node-lodash-compat_3.10.2-1_all.deb compatibility build of lodash modular utilities
node-lodash-packages_4.17.11+dfsg-2_all.deb Lo-dash is a Node.js utility library (per method packages)
Advertisement
Advertisement